<?php
function weart_font_changer() {
    /*BEGIN THE FONTS */

      // MAIN FONT
        $main_font = get_theme_mod( 'main_font', '#b3c2bf' ); //E.g. #FF0000
        if( !empty($main_font) ){
          $main = "
                  .f-main,
                  .comment-list .comment-body .comment-meta,
                  h1, .h1, h2, .h2, h3, .h3, h4, .h4, h5, .h5, h6,
                  .woocommerce .page-title,
                  .woocommerce div.product h1,
                  .woocommerce div.product h2,
                  .woocommerce div.product h3,
                  .woocommerce div.product h4,
                  .woocommerce div.product #reviews #review_form #respond #reply-title,
                  .woocommerce div.product .woocommerce-tabs ul.tabs li,
                  .woocommerce ul.product_list_widget li .product-title,.woocommerce .button,
                  .woocommerce #review_form #respond .form-submit input,
                  .woocommerce span.onsale,
                  #llc_comments_button, #submit,
                  .widget_rss ul li .rsswidget, .h6,
                  #desktop-menu .dropdown .dropdown-menu .dropdown-item{
                    font-family: $main_font !important;
                  }
                  ";
          wp_add_inline_style( 'main-style', $main );
        };

      // TEXT FONT
        $text_font = get_theme_mod( 'text_font', '#FFF' ); //E.g. #FF0000
        if( !empty($text_font) ){
          $text = "
                  .f-text,
                  .woocommerce .woocommerce-result-count,
                  .woocommerce div.product #reviews #review_form #respond .comment-form-comment,
                  .woocommerce div.product #reviews #review_form #respond .comment-form-email,
                  .woocommerce div.product #reviews #review_form #respond .comment-form-author {
                    font-family: $text_font !important;
                  }
                  ";
          wp_add_inline_style( 'main-style', $text );
        };

    /* END */
} add_action( 'wp_enqueue_scripts', 'weart_font_changer' );
