<?php
/*
 * Template Name: Wide
 * Template Post Type: post
 */
//theme header
get_header();
//sidebar is hidden?
$weart_sidebar = get_post_meta($post->ID, "weart_hide_sidebar", true);
?>

<?php if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>
  <article id="post-<?php the_ID(); ?>" <?php post_class('container mt-5'); ?>>
    <!-- HEADER -->
      <header class="row narrow-header">
        <div class="col-lg-10 c-black l-black offset-lg-1">
          <div class="meta row align-items-center">
            <div class="col-lg-6 actual-meta"><?php weart_by(array('color'=>'c-meta l-black','date'=>1)) ?></div>
            <div class="col-lg-6 share"><?php if ( shortcode_exists( 'ssba-buttons' ) && get_theme_mod( 'want_share_top', 1 ) ) { echo do_shortcode('[ssba-buttons]'); } ?><?php if ( shortcode_exists( 'Sassy_Social_Share' ) ) { echo do_shortcode('[Sassy_Social_Share]'); } ?></div>
          </div><!-- .meta -->
          <hr class="mb-4 mt-1">
          <h1 class="title font-weight-bold mt-3 mb-0"><?php the_title() ?></h1>
        </div>
      </header>

    <!-- CONTENT -->
      <div class="post-container pt-4">
        <div class="row pb-5">
          <div class="col-lg-7 offset-lg-1
          <?php if(!is_active_sidebar( 'sidebar-article') || $weart_sidebar == "hide" ){ ?>offset-lg-2<?php } ?>">
            <?php get_template_part( 'parts/post','content' ) ?>
          </div>
          <?php get_sidebar(); ?>
        </div>
      </div>
  </article>
<?php endwhile; else: weart_noposts(); endif; ?>

<?php if(get_theme_mod( 'want_home_related', 0 )){ ?>
  <div class="home-recommendation pt-5">
    <div class="container"><?php get_template_part( 'index' );  ?></div>
  </div>
<?php } ?>

<?php get_footer() ?>