
<footer id="footer">

  <div class="footer-content bg-black c-white l-white f-text">
    <div class="container">
      <?php get_sidebar( 'footer' ) ?>
      <?php if ( has_nav_menu( 'social-menu') && get_theme_mod('want_footerSocial',0) ) { ?>
        <div class="row py-4">
          <div class="col-12 d-flex align-items-center text-center justify-content-center f-main c-white">
            <span class="mr-2 d-none d-md-inline"><?php esc_html_e( 'Social Channels:', 'stuffpost' ) ?></span>
            <?php wp_nav_menu( array(
              'theme_location'  => 'social-menu',
              'container'       => false,
              'menu_class'      => '',
              'items_wrap'      => '<ul id="%1$s" class="social-channels %2$s d-inline">%3$s</ul>',
              'depth'           => 1,
            ) ); ?>
          </div>
        </div>
      <?php } ?>
    </div>
  </div>

  <div class="copyright container ">
    <div class="row">
      <?php if(get_theme_mod('want_footerLogo',1)){ ?>
        <div class="col-lg-4 py-3">
          <div class="logo f-main l-black lh-1" itemscope>
            <?php  if ( has_custom_logo() ) { ?>
              <?php the_custom_logo(); ?>
            <?php } else{ ?>
              <a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home" >
                <?php bloginfo( 'name' ); ?>
              </a>
            <?php } ?>
          </div><!-- .logo -->
        </div>
      <?php } ?>

      <div class="col d-flex align-items-center f-main small">
        <div class="text-right l-black lh-1 ml-auto">
          <?php if( has_nav_menu( 'footer-menu') ){ wp_nav_menu( array(
            'theme_location' => 'footer-menu',
            'depth' => 1,
            'container' => false,
            'menu_id' => 'footer-menu',
          ) ); } ?>
          <p class="m-0 ml-auto d-block"><?php echo get_theme_mod('copyright','(c) 2018 - StuffPost Theme. All Rights Reserved. Developed by weartstudio.eu') ?></p>
        </div>
      </div>
    </div>
  </div>

</footer>
</div><!-- main content div -->
<?php wp_footer(); ?>
</body>
</html>