<?php get_header() ?>

<div class="container my-5">
  <div class="row justify-content-center">
    <div class="post-container col-lg-8">
      <?php if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>
        <div class="post-header c-black t-title clearfix row align-items-center">
          <h1 class="float-left col-7 m-0 t-lg text-uppercase font-weight-bold"><?php the_title() ?></h1>
        </div>
        <hr>
        <div class="post-content f-text c-black l-black clearfix">
          <?php the_content() ?>
        </div>
        <?php wp_link_pages( array(
                'before' => '<div class="link-pages c-meta l-black clearfix text-center t-md"><hr>',
                'after' => '</div>',
                'link_before' => '<span class="c-black text-uppercase font-weight-bold f-title">',
                'link_after' => '</span>',
                'separator' => ' - ' ) ); ?>
        <div class="post-comments clearfix mt-5 small"><?php comments_template( '', true );  ?></div>
      <?php endwhile; else: weart_noposts(); endif; ?>
    </div>
    <?php get_sidebar() ?>
  </div>
</div>


<?php get_footer() ?>
